# $Revision: 1.35 $, $Date: 2004/04/19 11:27:38 $
#
# Conditional build:
%bcond_without	alsa	# without ALSA support
%bcond_with	arts	# with aRts support
%bcond_without	doc	# don't build HTML documentation (from SGML source)
%bcond_without	esd	# without esd support
%bcond_with	mmx	# use MMX (makes sense on i[56]86 with MMX; won't run on non-MMX CPU)
#
# TODO:
# - remove zip BR?
#
%ifarch athlon pentium3 pentium4 amd64
%define		with_mmx	1
%endif

Summary:	Open Audio Library
Summary(pl):	Otwarta Biblioteka Dwiku
Name:		OpenAL
Version:	0.0.7
%define	snap	20040416
Release:	0.%{snap}.1
License:	LGPL
Group:		Libraries
# from CVS :pserver:guest@opensource.creative.com:/usr/local/cvs-repository /openal
# (without all Win and Mac stuff and demos)
Source0:	%{name}-linuxonly-%{snap}.tar.bz2
# Source0-md5:	4f42f20484858452bfc30caa8976415d
Patch0:		%{name}-prefix.patch
Patch1:		%{name}-info.patch
URL:		http://www.openal.org/
BuildRequires:	SDL-devel
%{?with_alsa:BuildRequires:	alsa-lib-devel}
%{?with_arts:BuildRequires:	artsc-devel}
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_doc:BuildRequires:	docbook-utils}
%{?with_esd:BuildRequires:	esound-devel}
%{?with_doc:BuildRequires:	gnome-doc-tools}
BuildRequires:	libvorbis-devel
%{?with_mmx:BuildRequires:	nasm}
BuildRequires:	smpeg-devel
BuildRequires:	texinfo
BuildRequires:	zip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenAL, the Open Audio Library, is a joint effort to create an open,
vendor-neutral, cross-platform API for interactive, primarily
spatialized audio. OpenAL's primary audience are application
developers and desktop users that rely on portable standards like
OpenGL, for games and other multimedia applications. OpenAL is already
supported by a number of hardware vendors and developers.

%description -l pl
OpenAL, otwarta biblioteka dwiku, to poczony wysiek w celu
stworzenia otwartego, niezalenego od producentw, midzyplatformowego
interfejsu projektowania aplikacji w czci obsugi dwiku.
Biblioteka adresowana jest do twrcw aplikacji i uytkownikw,
ktrzy wybieraj przenone standardy, jak OpenGL, w grach i
aplikacjach multimedialnych. OpenAL posiada ju wsparcie wielu
dostarczycieli sprztu i programistw.

%package devel
Summary:	Headers for OpenAL
Summary(pl):	Pliki nagwkowe do OpenAL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for OpenAL-based programs.

%description devel -l pl
Pliki nagwkowe potrzebne przy budowaniu programw opartych na
OpenAL.

%package static
Summary:	OpenAL static library
Summary(pl):	Statyczna biblioteka OpenAL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
OpenAL static library.

%description static -l pl
Biblioteka OpenAL do konsolidacji statycznej.

%prep
%setup -q -n openal
%patch0 -p1
%patch1 -p1

echo 'AC_DEFUN([AC_HAS_MMX],[$%{?with_mmx:1}%{!?with_mmx:2}])' >> linux/acinclude.m4

%build
cd linux
cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure \
	%{!?debug:--enable-optimization} \
	%{?with_mmx:--enable-arch-asm} \
	%{?with_alsa:--enable-alsa --enable-alsa-dlopen} \
	%{?with_arts:--enable-arts} \
	%{?with_esd:--enable-esd} \
	--enable-sdl \
	--enable-vorbis \
	--enable-smpeg \
	--enable-capture \
	--with-gcc=%{__cc}

%{__make}

cd ../docs
%{?with_doc:%{__make} full-html}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_infodir}

%{__make} -C linux install \
	DESTDIR=$RPM_BUILD_ROOT

install linux/doc/openal.info $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun	devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc linux/{CREDITS,ChangeLog,NOTES,TODO}
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc linux/doc/LOKI* %{?with_doc:docs/oalspecs-full}
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/AL
%{_infodir}/openal.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: OpenAL.spec,v $
Revision 1.35  2004/04/19 11:27:38  pluto
- mmx fixes.

Revision 1.34  2004/04/18 19:48:04  qboosh
- changed versioning to show that it's 0.0.7 snapshot
- dlopen alsa library, so it's no longer required at install time
- new-style bconds, strict internal deps

Revision 1.33  2004/04/16 18:44:04  kosmo
- updated to 20040416

Revision 1.32  2004/01/02 13:46:18  jajcus
- Release: .1 (STBR after alsa fixes)

Revision 1.31  2003/12/29 11:04:39  jajcus
- fix for alsa-1.0.0

Revision 1.30  2003/11/11 14:45:08  qboosh
- now there is alsa on sparc*

Revision 1.29  2003/10/25 13:25:40  ankry
- pl: linkowanie -> konsolidacja, shell -> powoka

Revision 1.28  2003/10/20 09:52:54  tiwek
- without alsa on sparc

Revision 1.27  2003/10/20 08:48:43  qboosh
- no runtime detection, so mmx can be enabled by default only on athlon

Revision 1.26  2003/10/19 09:26:00  arekm
- and simpler

Revision 1.25  2003/10/19 09:19:25  arekm
- simplify

Revision 1.24  2003/10/19 08:51:34  cieciwa
- fixed build on arch !=ix86 - disable MMX check

Revision 1.23  2003/08/18 08:07:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.22  2003/08/13 13:00:54  grzegol
- changed URL

Revision 1.21  2003/08/12 23:39:47  grzegol
- added esd support; rel. .0.10

Revision 1.20  2003/08/11 19:35:42  deejay1
- hate dropin, sources put on local router :/ they'll be gone
  with next commit

Revision 1.19  2003/08/06 17:48:17  deejay1
- updated to todays snapshot, NFY

Revision 1.18  2003/08/06 10:44:52  deejay1
- typo, changed to a more up to date URL

Revision 1.17  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/02/18 22:38:32  qboosh
- Loki is dead, but OpenAL lives - updated to todays CVS snapshot
- updated prefix,acfix,info patches, removed obsolete build patch

Revision 1.14  2003/02/14 21:11:35  qboosh
- fixed build, cleanups etc.
- replaced prefix patch with better one, added acfix and info patches
- removed bogus X11 from Groups

Revision 1.13  2003/01/18 22:54:55  juandon
- removed two lines with define

Revision 1.12  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:12:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2002/01/02 08:26:32  wolf
- spelling

Revision 1.9  2001/12/24 11:49:37  qboosh
- oops, forgot to adapterize after fixing Groups
- added subpackages deps

Revision 1.8  2001/12/24 10:28:32  qboosh
- argh, again: fixed typos and Groups
- added post/postun devel with fix-info-dir

Revision 1.7  2001/12/22 00:18:15  fastviper
- adapterized
- taken Mandrake Cooker .spec and patches and converted a little

Revision 1.6  2001/11/19 09:08:13  qboosh
- fixed Groups, typos/spelling, removed soname symlink (ldconfig will create it)

Revision 1.5  2001/11/18 16:36:37  saq
- remove OpenGL stuff (unused)
- remove duplicated {C,LD}FLAGS
- fix DESTDIR
- spread the libs between %%{name} and -devel
- drop the license (it's LGPL)

Revision 1.4  2001/11/18 16:20:19  saq
- use the actual version, not the libtool numbers
- lots of missing buildreqs added
- cosmetics
- NFY

Revision 1.3  2001/11/18 13:22:05  fastviper
- Realase is now 1 -- previous realase++ made no sense

Revision 1.2  2001/11/17 01:59:42  fastviper
- enabled many features
- made this spec look good ;-)
- release++

Revision 1.1  2001/11/16 16:30:24  fastviper
- sources were downloaded from CVS as ftp://ftp.openal.com/ has some problems
  this needs to be solved somehow...
  - created this spec.
